<?
if (isset($_POST['id_c'])) {
$id_c=$_POST['id_c'];
} else {
$id_c="";
}
if (isset($_POST['titulo'])) {
$titulo=$_POST['titulo'];
} else {
$titulo="";
}
if (isset($_POST['categoria'])) {
$categoria=$_POST['categoria'];
} else {
$categoria="";
}
if (isset($_POST['origem'])) {
$origem=$_POST['origem'];
} else {
$origem="";
}
if (isset($_POST['autor'])) {
$autor=$_POST['autor'];
} else {
$autor="";
}
$prefixo = substr($origem,4,2)."_".$id_c;
//print_r($_POST);
//exit();
///=================================== funções
function removerCaracter($string){
	        $string = ereg_replace("[áàâãª]","a",$string);
	        $string = ereg_replace("[ÁÀÂÃ]","A",$string);
	        $string = ereg_replace("[éèê]","e",$string);
	        $string = ereg_replace("[ÉÈÊ]","E",$string);
	        $string = ereg_replace("[íì]","i",$string);
	        $string = ereg_replace("[ÍÌ]","I",$string);
	        $string = ereg_replace("[óòôõº]","o",$string);
	        $string = ereg_replace("[ÓÒÔÕ]","O",$string);
	        $string = ereg_replace("[úùû]","u",$string);
	        $string = ereg_replace("[ÚÙÛ]","U",$string);
	        $string = ereg_replace("ç","c",$string);
	        $string = ereg_replace("Ç","C",$string);
	        $string = ereg_replace("[][><}{)(:;,!?*%~^`&#@]","",$string);
	        $string = ereg_replace(" ","_",$string);
			$string = ereg_replace("-","_",$string);
	 
	        return $string;
 }
 function Redimensionar_jpeg($imagem, $name, $largura, $pasta){
    
	$img = imagecreatefromjpeg($imagem['tmp_name']);
	$x = imagesx($img);
	$y = imagesy($img);

         if($x < $largura){
         $largura = $x;
         $altura  = $y;
         } else {
         $largura = $largura;
         $altura = ($largura * $y)/$x;
         }

	///$altura = ($largura * $y)/$x;

	$nova = imagecreatetruecolor($largura, $altura);
	imagecopyresampled($nova, $img, 0, 0, 0, 0, $largura, $altura, $x, $y);
	
	imagejpeg($nova, "$pasta/$name");
	imagedestroy($img);
	imagedestroy($nova);
 
    return $name;
 }
function Redimensionar_jpeg_mini($imagem, $name, $largura, $pasta){
    
	$img = imagecreatefromjpeg($imagem['tmp_name']);
	$x = imagesx($img);
	$y = imagesy($img);
	///$altura = ($largura * $y)/$x;
	$altura = 122;
	$nova = imagecreatetruecolor($largura, $altura);
	imagecopyresampled($nova, $img, 0, 0, 0, 0, $largura, 122, $x, $y);
	
	imagejpeg($nova, "$pasta/$name");
	imagedestroy($img);
	imagedestroy($nova);
 
    return $name;
 }
///=============================== fim funções
 
$nome = removerCaracter($prefixo."_".$_FILES['documento']['name']);
//-------------

if ($_SERVER["SERVER_ADDR"] == '127.0.0.1'){
$uploaddir = '/fotos/';
$uploaddir_mini = '/fotos/mini/';
}else{
$uploaddir = '/home/msoftxc/public_html/adrianosoutoimoveis.com.br/fotos/';
$uploaddir_mini = '/home/msoftxc/public_html/adrianosoutoimoveis.com.br/fotos/mini/';
}

    $foto = $_FILES['documento'];
   
   if(($foto['type'] == 'image/jpeg')||($foto['type'] == 'image/pjpeg')){
	   Redimensionar_jpeg_mini($foto, $nome, 150, $uploaddir_mini);
	   Redimensionar_jpeg($foto, $nome, 800, $uploaddir);	   
   }

 
 $alerta = "Foto inserida com Sucesso!!";
?>
<head>
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Expires" content="-1">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Cadastro de Imagem</title>
<meta name="Description" content="">
<meta name="Keywords" content="">
<meta name="Author" content="Marcos Antonio Pereira Lopes">
<script language="JavaScript">
<!--

function Redireciona(){     // Redireciona p/ o arquivo especificado 
  alert("<? echo $alerta ?>");
  open('cad_imagem.php', '_top');
}

// -->
</script>

</head>

<body onLoad="JavaScript:Redireciona()">


</body>
</html>